package com.fs.qw.service;

import com.fs.qw.domain.FsCompanyExternalPayReceipt;
import com.fs.qw.domain.QwCompany;

import java.util.List;

public interface IFsCompanyExternalPayReceiptService {

    // 同步收款记录(定时任务同步或手动同步)
    void syncReceipts(Long beginTime, Long endTime, String payeeUserid,List<QwCompany> qwCompanyList);

    // 查询收款记录(查数据库)
    List<FsCompanyExternalPayReceipt> queryReceipts(FsCompanyExternalPayReceipt receipt);


    //查询销售可用的收款记录
    List<FsCompanyExternalPayReceipt> selectFsCompanyExternalPayReceiptListByCompanyUserId(Long companyUserId);
}